LAT_PIPE(8)

NAME
lat_pipe - measure interprocess communication latency through pipes

SYNOPSIS
lat_pipe [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ]

DESCRIPTION
lat_pipe uses two processes communicating through a Unix pipe to measure interprocess communication latencies. The benchmark passes a token back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is includeded. Output format is like so

Pipe latency: 491 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.